package com.xhpc.common.data.up;

//充电订单实时数据
public class OrderData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String startTime; //开始时间CP56Time2a格式
    private String endTime; //结束时间CP56Time2a格式
    private String t1Price; //尖单价
    private String t1PowerQuantity; //尖电量
    private String t1LossQuantity; //计损尖电量
    private String t1Cost; //尖金额
    private String t2Price; //峰单价
    private String t2PowerQuantity; //峰电量
    private String t2LossQuantity; //计损峰电量
    private String t2Cost; //峰金额
    private String t3Price; //平单价
    private String t3PowerQuantity; //平电量
    private String t3LossQuantity; //计损平电量
    private String t3Cost; //平金额
    private String t4Price; //谷单价
    private String t4PowerQuantity; //谷电量
    private String t4LossQuantity; //计损谷电量
    private String t4Cost; //谷金额
    private String electricMeterStart; //电表总起值
    private String electricMeterEnd; //电表总止值
    private String totalPowerQuantity; //总电量
    private String totalLossPowerQuantity; //计损总电量
    private String cost; //消费金额
    private String vinNormal; //VIN 码，此处 VIN 码和充电时 VIN码不同，正序直接上传，无需补0和反序
    private String transactionFlag; //交易标识
    private String transactionDatetime; //交易日期、时间CP56Time2a格式
    private String stopReason; //停止原因
    private String cardNo; //物理卡号

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getStartTime() {

        return startTime;
    }

    public void setStartTime(String startTime) {

        this.startTime = startTime;
    }

    public String getEndTime() {

        return endTime;
    }

    public void setEndTime(String endTime) {

        this.endTime = endTime;
    }

    public String getT1Price() {

        return t1Price;
    }

    public void setT1Price(String t1Price) {

        this.t1Price = t1Price;
    }

    public String getT1PowerQuantity() {

        return t1PowerQuantity;
    }

    public void setT1PowerQuantity(String t1PowerQuantity) {

        this.t1PowerQuantity = t1PowerQuantity;
    }

    public String getT1LossQuantity() {

        return t1LossQuantity;
    }

    public void setT1LossQuantity(String t1LossQuantity) {

        this.t1LossQuantity = t1LossQuantity;
    }

    public String getT1Cost() {

        return t1Cost;
    }

    public void setT1Cost(String t1Cost) {

        this.t1Cost = t1Cost;
    }

    public String getT2Price() {

        return t2Price;
    }

    public void setT2Price(String t2Price) {

        this.t2Price = t2Price;
    }

    public String getT2PowerQuantity() {

        return t2PowerQuantity;
    }

    public void setT2PowerQuantity(String t2PowerQuantity) {

        this.t2PowerQuantity = t2PowerQuantity;
    }

    public String getT2LossQuantity() {

        return t2LossQuantity;
    }

    public void setT2LossQuantity(String t2LossQuantity) {

        this.t2LossQuantity = t2LossQuantity;
    }

    public String getT2Cost() {

        return t2Cost;
    }

    public void setT2Cost(String t2Cost) {

        this.t2Cost = t2Cost;
    }

    public String getT3Price() {

        return t3Price;
    }

    public void setT3Price(String t3Price) {

        this.t3Price = t3Price;
    }

    public String getT3PowerQuantity() {

        return t3PowerQuantity;
    }

    public void setT3PowerQuantity(String t3PowerQuantity) {

        this.t3PowerQuantity = t3PowerQuantity;
    }

    public String getT3LossQuantity() {

        return t3LossQuantity;
    }

    public void setT3LossQuantity(String t3LossQuantity) {

        this.t3LossQuantity = t3LossQuantity;
    }

    public String getT3Cost() {

        return t3Cost;
    }

    public void setT3Cost(String t3Cost) {

        this.t3Cost = t3Cost;
    }

    public String getT4Price() {

        return t4Price;
    }

    public void setT4Price(String t4Price) {

        this.t4Price = t4Price;
    }

    public String getT4PowerQuantity() {

        return t4PowerQuantity;
    }

    public void setT4PowerQuantity(String t4PowerQuantity) {

        this.t4PowerQuantity = t4PowerQuantity;
    }

    public String getT4LossQuantity() {

        return t4LossQuantity;
    }

    public void setT4LossQuantity(String t4LossQuantity) {

        this.t4LossQuantity = t4LossQuantity;
    }

    public String getT4Cost() {

        return t4Cost;
    }

    public void setT4Cost(String t4Cost) {

        this.t4Cost = t4Cost;
    }

    public String getElectricMeterStart() {

        return electricMeterStart;
    }

    public void setElectricMeterStart(String electricMeterStart) {

        this.electricMeterStart = electricMeterStart;
    }

    public String getElectricMeterEnd() {

        return electricMeterEnd;
    }

    public void setElectricMeterEnd(String electricMeterEnd) {

        this.electricMeterEnd = electricMeterEnd;
    }

    public String getTotalPowerQuantity() {

        return totalPowerQuantity;
    }

    public void setTotalPowerQuantity(String totalPowerQuantity) {

        this.totalPowerQuantity = totalPowerQuantity;
    }

    public String getTotalLossPowerQuantity() {

        return totalLossPowerQuantity;
    }

    public void setTotalLossPowerQuantity(String totalLossPowerQuantity) {

        this.totalLossPowerQuantity = totalLossPowerQuantity;
    }

    public String getCost() {

        return cost;
    }

    public void setCost(String cost) {

        this.cost = cost;
    }

    public String getVinNormal() {

        return vinNormal;
    }

    public void setVinNormal(String vinNormal) {

        this.vinNormal = vinNormal;
    }

    public String getTransactionFlag() {

        return transactionFlag;
    }

    public void setTransactionFlag(String transactionFlag) {

        this.transactionFlag = transactionFlag;
    }

    public String getTransactionDatetime() {

        return transactionDatetime;
    }

    public void setTransactionDatetime(String transactionDatetime) {

        this.transactionDatetime = transactionDatetime;
    }

    public String getStopReason() {

        return stopReason;
    }

    public void setStopReason(String stopReason) {

        this.stopReason = stopReason;
    }

    public String getCardNo() {

        return cardNo;
    }

    public void setCardNo(String cardNo) {

        this.cardNo = cardNo;
    }

}
